/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
define([
    'uiComponent',
    'Magento_Customer/js/customer-data'
], function (Component, customerData) {
    'use strict';

    return Component.extend({
        initialize: function () {
            this._super();

            this.customer = customerData.get('filoblu-customer');

            if (this.customer().website_id !== window.filoblu_customer.website_id) {
                customerData.reload(['filoblu-customer'], false).done(function () {
                    this.customer = customerData.get('filoblu-customer');
                });
                customerData.reload(['checkout-data'], false).done(function () {
                    this.customer = customerData.get('checkout-data');
                });
                customerData.reload(['cart-data'], false).done(function () {
                    this.customer = customerData.get('cart-data');
                });
            }
        }
    });
});
